# RPM specfile for the KeepAlive package
# Copyright 2008 Parliament Hill Computers Ltd, all rights reserved.
# Author: ADDW December 2008
# SCCS: @(#)KeepAlive.spec	1.5 06/17/15 23:59:23
# Note that the version number (1.5 - SCCS %-I-% (sans -)) of this file defines the package version #. It is used in the Makefile.

%define name KeepAlive
%define version 1.5
%define release 1.1

Summary: Prevent a logout due to inactivity
Name: %{name}
Version: %{version}
Release: %{release}
Source: http://www.phcomp.co.uk/Downloads/KeepAlive-%{version}.tar.gz
Vendor: %{vendor}
URL: %{phcl_url}

License: GPL

Packager: %{packager}

Group: Applications/System
BuildRoot: %{_builddir}/%{name}-root
Requires: coreutils
BuildRequires: make sed gcc autoconf

# This is only needed if we want to build a relocatable RPM:
#Prefix: %{_prefix}

%description
KeepAlive detects when there has not been any recent input/output to a terminal and
sends something to prevent a logout. This is most useful when some firewall/... drops
the TCP Keepalive packets.


%prep
%setup -q

%build
autoconf
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT%{_prefix} VERSION=%{version} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/KeepAlive
%doc README Contributors License Hacks
%{_mandir}/man*/KeepAlive.*

%changelog
* Wed Jun 17 2015 Alain Williams <addw@phcomp.co.uk>
- Tiny tweaks to stop C compier warnings.
* Sat Mar 15 2014 Alain Williams <addw@phcomp.co.uk>
- Add long options and initilisation files
* Fri Jul 06 2012 Alain Williams <addw@phcomp.co.uk>
- New options: -I -T -M, minor tweaks to error messages
* Wed Jul 07 2010 Alain Williams <addw@phcomp.co.uk>
- Add -N option: combination of commonly used options
* Tue Dec 30 2008 Alain Williams <addw@phcomp.co.uk>
- First time as an RPM
